=begin
= GSL::Histogram class

== Singleton Methods
--- GSL::Histogram.new(n)
--- GSL::Histogram.alloc(n)
    Constructor for a histogram object with ((|n|)) bins

--- GSL::Histogram.new_uniform(xmin, xmax, n)
--- GSL::Histogram.alloc_uniform(xmin, xmax, n)
--- GSL::Histogram.equal_bins_p(h1, h2)

== Methods
--- GSL::Histogram#set_ranges(v)
    This sets the ranges of the existing histogram using a ((<GSL::Vector|URL:vector.html>)) object.
--- GSL::Histogram#set_ranges_uniform(xmin, xmax)

--- GSL::Histogram#clone

--- GSL::Histogram#increment(x)
--- GSL::Histogram#accumulate(x, weight)
--- GSL::Histogram#get(i)
--- GSL::Histogram#get_range(i)
--- GSL::Histogram#max
--- GSL::Histogram#min
--- GSL::Histogram#bins
--- GSL::Histogram#reset
--- GSL::Histogram#find(x)
--- GSL::Histogram#max_val
--- GSL::Histogram#max_bin
--- GSL::Histogram#min_val
--- GSL::Histogram#min_bin
--- GSL::Histogram#mean
--- GSL::Histogram#sigma
--- GSL::Histogram#sum
--- GSL::Histogram#add
--- GSL::Histogram#sub
--- GSL::Histogram#mul
--- GSL::Histogram#div
--- GSL::Histogram#scale
--- GSL::Histogram#shift
--- GSL::Histogram#fwrite(io)
--- GSL::Histogram#fwrite(filename)
--- GSL::Histogram#fread(io)
--- GSL::Histogram#fread(filename)
--- GSL::Histogram#fprintf(io, range_format, bin_format)
--- GSL::Histogram#fprintf(filename, range_format, bin_format)
--- GSL::Histogram#fscanf(io)
--- GSL::Histogram#fscanf(filename)

== GSL::Histogram_pdf class
--- GSL::Histogram_pdf.new(n)
--- GSL::Histogram_pdf.alloc(n)
    Constructors

--- GSL::Histogram_pdf#init(h)
    Initializer with a GSL::Histogram object ((|h||))

--- GSL::Histogram_pdf#sample(r)

((<back|URL:index.html>))
=end
