=begin
= Special Functions and the GSL::Sf module

Ruby/GSL provides all the GSL special functions as module functions
under the (({GSL::Sf})) module. The prefix (({gsl_sf})) of C functions is replaced by (({GSL::Sf::})) in Ruby/GSL.

ex1)
   require 'gsl'
   p GSL::Sf::bessel_J0(x)    

ex2)
   require 'gsl'
   include GSL
   p Sf::bessel_J0(x)    

ex2)
   require 'gsl'
   include GSL::Sf
   p bessel_J0(x)    

See GSL manual for the complete list of the special functions. 

((<back|URL:index.html>))
=end
