#!/usr/bin/ruby
require 'gsl'

a = GSL::Complex.rect(1, 2)
b = GSL::Complex[3, 4]
p a
p b

a.printf("%10.9e")

#c = a.add(b)
c = a + b
p c
c = a * b
p c


d = a.add_real(4)

p d

e = d.conjugate
p e

f = GSL::Complex.sqrt_real(-3)
p f
p GSL::Complex.exp(f)

c = GSL::Complex.new(0, 0)
p c
p c.class
c.set([1, 2])
p c
c.set(3, 5)
p c
p c.class
c.set(7)
p c
p c.class

p c.arg
p c.abs
p c.abs2
p c.logabs

__END__
b = [-1, 0, 0, 0, 0, 1]
a = gsl_poly_complex_solve(b)
p a



c = GSL::Complex::new(5, 4)
p c.real
p c.im

c.print

c.set_real(8)
p c.re
c.im = 10.0
p c.im


