#!/usr/bin/ruby
require 'gsl'

m = GSL::Matrix.new([1.0, 1/2.0, 1/3.0, 1/4.0], [1/2.0, 1/3.0, 1/4.0, 1/5.0],
		   [1/3.0, 1/4.0, 1/5.0, 1/6.0], [1/4.0, 1/5.0, 1/6.0, 1/7.0])

eigval = m.eigen_symm
p eigval

p eigval, eigvec = m.eigen_symmv

p Eigen.symm(m)
p Eigen.symmv(m)

w = Eigen::Symm::Workspace.new(4)
p w.class
p Eigen.symm(m, w)

wv = Eigen::Symmv::Workspace.new(4)
p wv.class
p Eigen.symmv(m, wv)

a = Eigen::Herm::Workspace.new(2)
p a.class

b = Eigen::Hermv::Workspace.new(2)
p b.class

