#!/usr/bin/ruby
require 'gsl'

m = GSL::Matrix.new([1, 0, -1], [1, 2, 1], [2, 2, 3])
eval, evec = m.eigen_hermv
p eval.to_a
__END__

veval, mevec = m.eigen_symmv
p veval
p mevec
eval3 = veval[3]
evec3 = mevec.col(3)
p eval3
p evec3.to_a

